WordPress.org

Ready to get started?Download WordPress

Forums

Genesis Latest Tweets
SSL certificate problem (7 posts)

  1. cmeerbeek
    Member
    Posted 1 year ago #

    When I use this plug-in I get a SSL certificate problem.
    I have this plug-in running on a lot of other sites without any problem. The only difference I know is that this site is running on Windows instead of Linux.

    Screenshot: https://dl.dropboxusercontent.com/u/669331/Screen%20Shot%202013-06-28%20at%2010.10.05.png

    Any idea?

    http://wordpress.org/extend/plugins/genesis-latest-tweets/

  2. skylined99
    Member
    Posted 1 year ago #

    im having a similar problem, the message is different "Twitter Exception Message: SSL certificate problem: unable to get local issuer certificate", i am also using a windows server.

  3. nextpagenetty
    Member
    Posted 1 year ago #

    Yup me tooo .... watching this thread for a fix.
    Thank so much, Genesis is awesome and I'm sure we'll get help soon.
    Annette Kalapaca

  4. hexcoder
    Member
    Posted 1 year ago #

    I am also running the WordPress blog on Windows and getting a similar error:
    Twitter Exception Message: SSL certificate problem, verify that the CA cert is OK. Details: error:14090086:SSL routines:SSL3_GET_SERVER_CERTIFICATE:certificate verify failed

  5. jeff9661
    Member
    Posted 1 year ago #

    Me too, running WordPress on Windows IIS and getting the same error.

    "Twitter Exception Message: SSL certificate problem, verify that the CA cert is OK. Details: error:14090086:SSL routines:SSL3_GET_SERVER_CERTIFICATE:certificate verify failed"

    The Twitter API information also does not show up. After visiting the support section for this plugin on WordPress.org I tried changing the URL in the Twitter application to https but that did not work either.

  6. palmercomputer
    Member
    Posted 1 year ago #

    Twitter Exception Message: SSL certificate problem, verify that the CA
    cert is OK. Details: error:14090086:SSL routines:SSL3_GET_SERVER_CERTIFICATE:certificate verify failed

    Seems that it is perhaps the responsibility of the developer of the application/plug-in to explicitly point to a current cacert.pem file - especially for WordPress users running on Windows AMP stacks such as Bitnami or WampDeveloper (Devside.net).

    Backupbuddy, Vaultpress, and Google Analytics plug-in's all distribute a cacert.pem file and I assume use the proper CURL Reference such as:

    curl_setopt($ch, CURLOPT_CAINFO, ’C:/accessible/by/apache/cacert.pem);
    and
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, true);

    Please review the following for reference:

    How do I update root certificates in Apache/PHP/cURL environment
    http://kb.ucla.edu/articles/how-do-i-update-root-certificates-in-apachephpcurl-environment

    How do I use cURL in PHP on Windows?
    http://kb.ucla.edu/articles/how-do-i-use-curl-in-php-on-windows

    A good Mozilla.org CA Cert Bundle file is available here:
    http://curl.haxx.se/docs/caextract.html

    It would be greatly appreciated by many if you could quickly update the
    plug-in to call its' own VALID cacerts.pem file.

    On the home page, we have "No Tweets Found" (lower right corner) for
    http://www.jasonpalmer.com
    http://www.shellypalmer.com

    Thank you,

    Jason Palmer.

  7. palmercomputer
    Member
    Posted 1 year ago #

    All,

    Simply open up your PHP.INI file and add the following line:

    curl.cainfo = "PATH_TO/cacert.pem"

    Get cacert.pem file from
    http://curl.haxx.se/docs/caextract.html
    and place it in the PATH_To.

    Example:

    I am running the WAMPDeveloper Stack on Windows from DevSide.net

    I added the following line at the bottom of my PHP.INI file
    curl.cainfo = "C:\WampDeveloper\Tools\curl\cacert.pem"

    Then I placed the cacert.pem downloaded above in:
    c:\wampdeveloper\tools\curl

    Works perfectly for most stacks, BUT NOT ALL, and resolves the issue for any plug-in looking for an updated CA.

    I would still like to see the developer properly include a cacerts.pem with the plug-in.

    Hope this helps,

    Jason Palmer
    [signature moderated]

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic

Tags

No tags yet.